## papirus-icon-theme 20171102

=== Makefile ===
# GNU make is required to run this file. To install on *BSD, run:
#   gmake PREFIX=/usr/local install

PREFIX ?= /usr
IGNORE ?=
THEMES ?= ePapirus Papirus Papirus-Adapta Papirus-Adapta-Nokto Papirus-Dark Papirus-Light

# excludes IGNORE from THEMES list
THEMES := $(filter-out $(IGNORE), $(THEMES))

all:

install:
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons
	cp -R $(THEMES) $(DESTDIR)$(PREFIX)/share/icons

# skip building icon caches when packaging
	$(if $(DESTDIR),,$(MAKE) $(THEMES))

$(THEMES):
	-gtk-update-icon-cache -q $(DESTDIR)$(PREFIX)/share/icons/$@

uninstall:
	-rm -rf $(foreach theme,$(THEMES),$(DESTDIR)$(PREFIX)/share/icons/$(theme))

_get_version:
	$(eval VERSION := $(shell git show -s --format=%cd --date=format:%Y%m%d HEAD))
	@echo $(VERSION)

dist: _get_version
	git archive --format=tar.gz -o $(notdir $(CURDIR))-$(VERSION).tar.gz master -- $(THEMES)

release: _get_version
	git tag -f $(VERSION)
	git push origin
	git push origin --tags

undo_release: _get_version
	-git tag -d $(VERSION)
	-git push --delete origin $(VERSION)


.PHONY: $(THEMES) all install uninstall _get_version dist release undo_release

# .BEGIN is ignored by GNU make so we can use it as a guard
.BEGIN:
	@head -3 Makefile
	@false

=== debian/changelog ===
papirus-icon-theme (20171102-0pureos1) green; urgency=medium

  * Initial release for PureOS.

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Thu, 09 Nov 2017 20:42:06 +0100

papirus-icon-theme (1.0.0-1) UNRELEASED; urgency=low

  * Initial release.

 -- Sergei Eremenko <finalitik@gmail.com>  Sun, 15 Jan 2017 21:43:52 +0200

=== debian/control ===
Source: papirus-icon-theme
Section: x11
Priority: optional
Maintainer: Matthias Klumpp <matthias.klumpp@puri.sm>
Build-Depends: debhelper (>= 10.4)
Standards-Version: 4.1.1
Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme

Package: papirus-icon-theme
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme,
         ${misc:Depends}
Description: Papirus Icon Theme
 Papirus is a SVG-based icon theme, drawing inspiration from
 Material Design and flat design.
 .
 This package contains the following icon themes:
  - ePapirus
  - Papirus
  - Papirus-Adapta
  - Papirus-Adapta-Nokto
  - Papirus-Dark
  - Papirus-Light

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	# we document all licenses in d/copyright, so remove extra licenses
	# to make Lintian happy
	rm $(CURDIR)/debian/papirus-icon-theme/usr/share/icons/*/LICENSE

## papirus-icon-theme 20180311

=== debian/changelog ===
papirus-icon-theme (20180311-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 13 Mar 2018 22:16:58 +0800

papirus-icon-theme (20180214-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: Fix lintian error.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 19 Feb 2018 15:47:41 +0800

papirus-icon-theme (20180201-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to v11.
  * Bump Standards-Version to 4.1.3.
  * Move under pkg-deepin team maintenance.
  * d/control: Update package description.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 01 Feb 2018 18:32:45 +0800

papirus-icon-theme (20171223-1) unstable; urgency=medium

  * Initial release (Closes: #883644)

 -- Yangfl <mmyangfl@gmail.com>  Wed, 10 Jan 2018 00:06:50 +0800

## papirus-icon-theme 20180401

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,10 @@
 
 PREFIX ?= /usr
 IGNORE ?=
-THEMES ?= ePapirus Papirus Papirus-Adapta Papirus-Adapta-Nokto Papirus-Dark Papirus-Light
+
+ifeq ($(strip $(THEMES)),)
+	THEMES ?= ePapirus Papirus Papirus-Adapta Papirus-Adapta-Nokto Papirus-Dark Papirus-Light
+endif
 
 # excludes IGNORE from THEMES list
 THEMES := $(filter-out $(IGNORE), $(THEMES))

=== debian/changelog ===
papirus-icon-theme (20180401-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 06 Apr 2018 09:53:23 +0800

=== debian/control ===
Source: papirus-icon-theme
Section: x11
Priority: optional
Maintainer: Debian Deepin Packaing Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <073plan@gmail.com>,
Standards-Version: 4.1.3
Build-Depends:
 debhelper (>= 11~),
Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme

Package: papirus-icon-theme
Architecture: all
Depends:
 hicolor-icon-theme,
 ${misc:Depends},
Suggests:
 libreoffice-style-papirus,
Description: Papirus open source icon theme for Linux
 Papirus is a SVG-based icon theme, drawing inspiration from Material Design
 and flat design.
 .
 This package contains the following icon themes:
  - ePapirus
  - Papirus
  - Papirus-Adapta
  - Papirus-Adapta-Nokto
  - Papirus-Dark
  - Papirus-Light

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

## papirus-icon-theme 20180816

=== debian/changelog ===
papirus-icon-theme (20180816-1~mx15+2) mx; urgency=medium

  * Remove leading whitespace from preinst script.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Sep 2018 14:34:29 -0700

papirus-icon-theme (20180816-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add debian/preinst from fehlix to remove installed files first--otherwise
    32-bit live sessions run out of inodes during the update.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Sep 2018 10:40:24 -0700

papirus-icon-theme (20180816-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Aug 2018 23:49:46 -0400

papirus-icon-theme (20180816-1) unstable; urgency=medium

  * New upstream release 20180816.
  * debian/control: Bump Standards-Version to 4.2.0 (no changes needed) 

 -- Boyuan Yang <073plan@gmail.com>  Thu, 23 Aug 2018 15:01:13 -0400

papirus-icon-theme (20180720-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 23 Jul 2018 10:25:10 +0800

papirus-icon-theme (20180720-1) unstable; urgency=medium

  * New upstream version 20180720
  * debian/control: Bump Standards-Version to 4.1.5 (no changes needed)

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Jul 2018 18:20:36 +0800

papirus-icon-theme (20180601-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Samuel Henrique <samueloph@debian.org>  Tue, 12 Jun 2018 01:02:06 -0300

papirus-icon-theme (20180601-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 02 Jun 2018 21:41:34 +0800

papirus-icon-theme (20180501-1) unstable; urgency=medium

  * New upstream release.
  * Revert changes about maintainer mail address.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 05 May 2018 20:41:12 +0800

papirus-icon-theme (20180401-2) unstable; urgency=medium

  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * Bump Standards-Version to 4.1.4 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sun, 22 Apr 2018 20:41:15 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: papirus-icon-theme
 Section: x11
 Priority: optional
-Maintainer: Debian Deepin Packaing Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
- Boyuan Yang <073plan@gmail.com>,
-Standards-Version: 4.1.3
+ Boyuan Yang <byang@debian.org>,
+Standards-Version: 4.2.0
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 10.2),
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme

## papirus-icon-theme 20181007

=== debian/changelog ===
papirus-icon-theme (20181007-1) unstable; urgency=medium

  * New upstream release 20181007.
  * debian/control:
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Update my uploader email address and use the @debian.org one.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Oct 2018 15:30:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: papirus-icon-theme
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaing Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Build-Depends:
- debhelper (>= 10.2),
+ debhelper (>= 11~),
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme

## papirus-icon-theme 20190203

=== Makefile ===
# GNU make is required to run this file. To install on *BSD, run:
#   gmake PREFIX=/usr/local install

PREFIX ?= /usr
ICON_THEMES ?= $(patsubst %/index.theme,%,$(wildcard ./*/index.theme))
IGNORE ?=

# excludes IGNORE from ICON_THEMES list
ICON_THEMES := $(filter-out $(IGNORE), $(ICON_THEMES))

all:

install:
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons
	cp -R $(ICON_THEMES) $(DESTDIR)$(PREFIX)/share/icons

# skip building icon caches when packaging
	$(if $(DESTDIR),,$(MAKE) $(ICON_THEMES))

$(ICON_THEMES):
	-gtk-update-icon-cache -q $(DESTDIR)$(PREFIX)/share/icons/$@

uninstall:
	-rm -rf $(foreach icon_theme,$(ICON_THEMES),$(DESTDIR)$(PREFIX)/share/icons/$(icon_theme))

_get_version:
	$(eval VERSION := $(shell git show -s --format=%cd --date=format:%Y%m%d HEAD))
	@echo $(VERSION)

dist: _get_version
	git archive --format=tar.gz -o $(notdir $(CURDIR))-$(VERSION).tar.gz master -- $(ICON_THEMES)

release: _get_version
	git tag -f $(VERSION)
	git push origin
	git push origin --tags

undo_release: _get_version
	-git tag -d $(VERSION)
	-git push --delete origin $(VERSION)


.PHONY: $(ICON_THEMES) all install uninstall _get_version dist release undo_release

# TESTS
.PHONY: test
test: test_short

.PHONY: test-all
test-all: test_short test_long

.PHONY: test_short
test_short: test_renderer test_svg_elems test_symlinks test_filenames

.PHONY: test_long
test_long: test_xml_struct

.PHONY: test_renderer
test_renderer:
	# >>> Searching for icons with renderer bugs
	@! LC_ALL=C grep -E -rl --include='*.svg' \
		-e 'd="[a-zA-Z0-9 -.]+-\.[a-zA-Z0-9 -.]+"' \
		-e 'd="[a-zA-Z0-9 -.]+\s\.[a-zA-Z0-9 -.]+"' \
		$(ICON_THEMES)

.PHONY: test_svg_elems
test_svg_elems:
	# >>> Searching for icons with embedded objects
	@! LC_ALL=C grep -E -rl --include='*.svg' \
		-e '<image[ ]' \
		-e '<object[ ]' \
		$(ICON_THEMES)

.PHONY: test_symlinks
test_symlinks:
	# >>> Searching for broken symlinks
	@find $(ICON_THEMES) -xtype l -printf '%p -> %l\n' -exec false '{}' +

.PHONY: test_filenames
test_filenames:
	# >>> Searching for invalid filenames
	@find $(ICON_THEMES) -not -iregex '[-_/\.+@a-z0-9]+' -print \
		-exec false '{}' +

.PHONY: test_xml_struct
test_xml_struct:
	# >>> Searching for broken SVG icons
	@find $(ICON_THEMES) -type f -name '*.svg' \
		-exec xmlstarlet validate --list-bad '{}' +

# .BEGIN is ignored by GNU make so we can use it as a guard
.BEGIN:
	@head -3 Makefile
	@false

=== debian/changelog ===
papirus-icon-theme (20190203-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Feb 2019 12:33:35 -0500

papirus-icon-theme (20190203-1) unstable; urgency=medium

  * New upstream release 20190203.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Feb 2019 12:19:21 -0500

papirus-icon-theme (20190106-1) unstable; urgency=medium

  * New upstream release 20190106.
  * debian/control:
    + Bump Standards-Version to 4.3.0 (no changes needed).
    + Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Thu, 10 Jan 2019 15:34:31 -0500

papirus-icon-theme (20181120-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Jan 2019 21:24:36 -0500

papirus-icon-theme (20181120-1) unstable; urgency=medium

  * New upstream release 20181120.

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Dec 2018 22:27:28 -0500

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 10~),
+Rules-Requires-Root: no
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 
 %:
 	dh $@
+
+override_dh_missing:
+	dh_missing --fail-missing

## papirus-icon-theme 20190214

=== debian/changelog ===
papirus-icon-theme (20190214-1~mx17+1) mx; urgency=medium

  * New upstream pull from Github.
  * debian/control: Remove mentions of the Adapta and Adapta-Nokto versions. 

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 15 Feb 2019 09:00:16 -0800

papirus-icon-theme (20180816-1~mx17+2) mx; urgency=medium

  * Remove leading whitespace from preinst script.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Sep 2018 14:34:29 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: papirus-icon-theme
 Section: x11
 Priority: optional
-Maintainer: Debian Deepin Packaing Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
-Standards-Version: 4.3.0
+Standards-Version: 4.2.0
 Build-Depends:
- debhelper (>= 10~),
-Rules-Requires-Root: no
+ debhelper (>= 10.2),
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme
@@ -27,7 +27,5 @@
  This package contains the following icon themes:
   - ePapirus
   - Papirus
-  - Papirus-Adapta
-  - Papirus-Adapta-Nokto
   - Papirus-Dark
   - Papirus-Light

=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,5 @@
 %:
 	dh $@
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_install:
+	dh_install --fail-missing

## papirus-icon-theme 20190817

=== debian/changelog ===
papirus-icon-theme (20190817-1) unstable; urgency=medium

  * New upstream release 20190817.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Aug 2019 14:08:25 -0400

papirus-icon-theme (20190720-1) unstable; urgency=medium

  * New upstream release 20190720.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jul 2019 10:38:43 -0400

papirus-icon-theme (20190708-2) unstable; urgency=medium

  * Update package description to remove Papirus-Adapta
    and Papirus-Adapta-Nokto. (Closes: #916366)

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Jul 2019 13:55:28 -0400

papirus-icon-theme (20190708-1) unstable; urgency=medium

  * New upstream release 20190708.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jul 2019 14:36:38 -0400

papirus-icon-theme (20190701-1) unstable; urgency=medium

  * New upstream release 20190701.
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jul 2019 11:55:11 -0400

=== debian/control ===
Source: papirus-icon-theme
Section: x11
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <byang@debian.org>,
Standards-Version: 4.4.0
Build-Depends:
 debhelper-compat (= 12),
Rules-Requires-Root: no
Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme

Package: papirus-icon-theme
Architecture: all
Depends:
 hicolor-icon-theme,
 ${misc:Depends},
Suggests:
 libreoffice-style-papirus,
Description: Papirus open source icon theme for Linux
 Papirus is a SVG-based icon theme, drawing inspiration from Material Design
 and flat design.
 .
 This package contains the following icon themes:
  - Papirus
  - Papirus-Dark
  - Papirus-Light
  - ePapirus

## papirus-icon-theme 20191101

=== debian/changelog ===
papirus-icon-theme (20191101-0.1~mx17+1) mx; urgency=medium

  * New upstream release 20191101--build for MX Linux.
  * Drop to debhelper 10 compat to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 Nov 2019 14:02:36 -0700

papirus-icon-theme (20191009-1) unstable; urgency=medium

  * New upstream release 20191009.
  * debian/control: Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Thu, 10 Oct 2019 23:22:48 -0400

papirus-icon-theme (20190919-1) unstable; urgency=medium

  * New upstream release 20190919.
  * debian/rules: Explicitly do not compress any SVG files to
    prevent potential unexpected compression in the future.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Sep 2019 19:04:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: papirus-icon-theme
 Section: x11
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 10),
 Rules-Requires-Root: no
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git

## papirus-icon-theme 20200102

=== debian/changelog ===
papirus-icon-theme (20200102-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Jan 2020 17:44:09 -0800

papirus-icon-theme (20200102-1) unstable; urgency=medium

  * New upstream release 20200102.
  * debian/source/options: Removed, useless.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 Jan 2020 11:10:28 -0500

papirus-icon-theme (20191201-1) unstable; urgency=medium

  * New upstream release 20191201. 

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Dec 2019 15:01:34 -0500

papirus-icon-theme (20191101-1) unstable; urgency=medium

  * New upstream release 20191101.
  * debian/control: Add Debian Desktop Themes Team into
    uploaders list.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Nov 2019 18:17:52 -0500

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
+ Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>,
 Standards-Version: 4.4.1
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
 Rules-Requires-Root: no
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git

## papirus-icon-theme 20200201

=== Makefile ===
--- 
+++ 
@@ -39,8 +39,11 @@
 	-git tag -d $(VERSION)
 	-git push --delete origin $(VERSION)
 
+clean_themes:
+	-git clean -i $(ICON_THEMES)
 
-.PHONY: $(ICON_THEMES) all install uninstall _get_version dist release undo_release
+
+.PHONY: $(ICON_THEMES) all install uninstall _get_version dist release undo_release clean_themes
 
 # TESTS
 .PHONY: test
@@ -79,7 +82,7 @@
 .PHONY: test_filenames
 test_filenames:
 	# >>> Searching for invalid filenames
-	@find $(ICON_THEMES) -not -iregex '[-_/\.+@a-z0-9]+' -print \
+	@LC_ALL=C find $(ICON_THEMES) -not -iregex '[-_/\.+@a-z0-9]+' -print \
 		-exec false '{}' +
 
 .PHONY: test_xml_struct

=== debian/changelog ===
papirus-icon-theme (20200201-1) unstable; urgency=high

  * New upstream release 20200201. 
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Feb 2020 22:37:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: papirus-icon-theme
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends:
  debhelper-compat (= 12),
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,8 @@
 %:
 	dh $@
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_compress:
+	dh_compress --exclude=.svg
+
+override_dh_missing:
+	dh_missing --fail-missing

## papirus-icon-theme 20200901

=== debian/changelog ===
papirus-icon-theme (20200901-1) unstable; urgency=medium

  * New upstream release 20200901.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Sep 2020 19:05:29 -0400

papirus-icon-theme (20200801-1) unstable; urgency=medium

  * New upstream release 20200801.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Aug 2020 22:17:29 -0400

papirus-icon-theme (20200702-1) unstable; urgency=medium

  * New upstream release 20200702.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jul 2020 12:56:51 -0400

papirus-icon-theme (20200602-1) unstable; urgency=medium

  * New upstream release 20200602. 

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Jun 2020 19:48:16 -0400

papirus-icon-theme (20200430-1) unstable; urgency=medium

  * New upstream release 20200430.
  * debian/control: Bump debhelper compat to v13.
  * debian/rules: Remove CFLAGS, LDFLAGS and hardening instructions,
    useless with icon theme package.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 May 2020 08:44:54 -0400

papirus-icon-theme (20200405-1) unstable; urgency=medium

  * New upstream release 20200405.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Apr 2020 14:12:05 -0400

papirus-icon-theme (20200301-1) unstable; urgency=medium

  * New upstream release 20200301.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Mar 2020 14:33:03 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>,
 Standards-Version: 4.5.0
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Rules-Requires-Root: no
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git

## papirus-icon-theme 20201001

=== debian/changelog ===
papirus-icon-theme (20201001-1mx17+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 03 Oct 2020 08:11:31 -0700

papirus-icon-theme (20200901-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Sep 2020 08:51:40 -0700

=== debian/control ===
Source: papirus-icon-theme
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders: Yangfl <mmyangfl@gmail.com>,
           Boyuan Yang <byang@debian.org>,
           Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12)
Rules-Requires-Root: no
Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme

Package: papirus-icon-theme
Architecture: all
Depends: hicolor-icon-theme, ${misc:Depends}
Suggests: libreoffice-style-papirus
Description: Papirus open source icon theme for Linux
 Papirus is a SVG-based icon theme, drawing inspiration from Material Design
 and flat design.
 .
 This package contains the following icon themes:
  - Papirus
  - Papirus-Dark
  - Papirus-Light
  - ePapirus

## papirus-icon-theme 20210201

=== debian/changelog ===
papirus-icon-theme (20210201-1) unstable; urgency=medium

  * New upstream release 20210201.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Feb 2021 14:56:29 -0500

papirus-icon-theme (20210101-1) unstable; urgency=medium

  * New upstream release 20210101.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jan 2021 23:35:52 -0500

papirus-icon-theme (20201201-1) unstable; urgency=medium

  * New upstream release 20201201. 

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Dec 2020 18:41:17 -0500

papirus-icon-theme (20201001-1) unstable; urgency=medium

  * New upstream release 20201001. 

 -- Boyuan Yang <byang@debian.org>  Sun, 04 Oct 2020 10:11:16 -0400

=== debian/control ===
Source: papirus-icon-theme
Section: x11
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <byang@debian.org>,
 Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>,
Standards-Version: 4.5.1
Build-Depends:
 debhelper-compat (= 13),
Rules-Requires-Root: no
Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme

Package: papirus-icon-theme
Architecture: all
Depends:
 hicolor-icon-theme,
 ${misc:Depends},
Suggests:
 libreoffice-style-papirus,
Description: Papirus open source icon theme for Linux
 Papirus is a SVG-based icon theme, drawing inspiration from Material Design
 and flat design.
 .
 This package contains the following icon themes:
  - Papirus
  - Papirus-Dark
  - Papirus-Light
  - ePapirus

## papirus-icon-theme 20210802

=== debian/changelog ===
papirus-icon-theme (20210802-1~mx21+2) mx; urgency=medium

  * Add patch so ePapirus icon theme doesn't depend on elementary icons.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 27 Sep 2021 13:20:56 -0700

papirus-icon-theme (20210802-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream backports release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 06 Sep 2021 23:31:38 -0400

papirus-icon-theme (20210802-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Aug 2021 01:50:39 -0400

papirus-icon-theme (20210802-1) unstable; urgency=medium

  * New upstream release 20210802.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Aug 2021 23:55:23 -0400

papirus-icon-theme (20210401-1~exp1) experimental; urgency=medium

  * New upstream release 20210401.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Apr 2021 23:41:48 -0400

=== debian/control ===
Source: papirus-icon-theme
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
#XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders: Yangfl <mmyangfl@gmail.com>,
           Boyuan Yang <byang@debian.org>,
           Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme

Package: papirus-icon-theme
Architecture: all
Depends: hicolor-icon-theme, ${misc:Depends}
Suggests: libreoffice-style-papirus
Description: Papirus open source icon theme for Linux
 Papirus is a SVG-based icon theme, drawing inspiration from Material Design
 and flat design.
 .
 This package contains the following icon themes:
  - Papirus
  - Papirus-Dark
  - Papirus-Light
  - ePapirus

## papirus-icon-theme 20210901

=== debian/changelog ===
papirus-icon-theme (20210901-1) unstable; urgency=medium

  * New upstream release 20210901.
  * Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Sep 2021 00:50:32 -0400

## papirus-icon-theme 20211101

=== debian/changelog ===
papirus-icon-theme (20211101-1deepin1) UNRELEASED; urgency=medium

  * feat: Update xorg.svg by deepin design

 -- hudeng <hudeng@deepin.org>  Tue, 05 Mar 2024 20:09:50 +0800

papirus-icon-theme (20211101-1) unstable; urgency=medium

  * New upstream release 20211101.

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Nov 2021 10:29:46 -0400

papirus-icon-theme (20211001-1) unstable; urgency=medium

  * New upstream release 20211001.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Oct 2021 00:49:54 -0400

=== debian/control ===
Source: papirus-icon-theme
Section: x11
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <byang@debian.org>,
 Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>,
Standards-Version: 4.6.0
Build-Depends:
 debhelper-compat (= 13),
Rules-Requires-Root: no
Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme

Package: papirus-icon-theme
Architecture: all
Depends:
 hicolor-icon-theme,
 ${misc:Depends},
Suggests:
 libreoffice-style-papirus,
Description: Papirus open source icon theme for Linux
 Papirus is a SVG-based icon theme, drawing inspiration from Material Design
 and flat design.
 .
 This package contains the following icon themes:
  - Papirus
  - Papirus-Dark
  - Papirus-Light
  - ePapirus

## papirus-icon-theme 20220101

=== debian/changelog ===
papirus-icon-theme (20220101-1) unstable; urgency=medium

  * New upstream release 20220101.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Jan 2022 13:46:26 -0500

papirus-icon-theme (20211201-1) unstable; urgency=medium

  * New upstream release 20211201.
  * debian/control: Drop suggestion on unavailable package
    libreoffice-style-papirus.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Dec 2021 09:33:44 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>,
 Standards-Version: 4.6.0
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
 Rules-Requires-Root: no
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
@@ -19,8 +19,6 @@
 Depends:
  hicolor-icon-theme,
  ${misc:Depends},
-Suggests:
- libreoffice-style-papirus,
 Description: Papirus open source icon theme for Linux
  Papirus is a SVG-based icon theme, drawing inspiration from Material Design
  and flat design.

## papirus-icon-theme 20220204

=== debian/changelog ===
papirus-icon-theme (20220204-1) unstable; urgency=medium

  * New upstream release 20220204.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Feb 2022 14:31:56 -0500

papirus-icon-theme (20220201-1) unstable; urgency=medium

  * New upstream release 20220201.
  * debian/control: Downgrade gtk-update-icon-cache to Suggests.
  * debian/maintscript: Adopt icon cache triggers similar to
    mate-icon-theme.
  * debian/triggers: Ditto.

 -- Boyuan Yang <byang@debian.org>  Tue, 01 Feb 2022 20:52:07 -0500

papirus-icon-theme (20220101-2) unstable; urgency=high

  * debian/control:
    + Update extended description to match current icon theme set.
    + Add explicit dependency on gtk-update-icon-cache to ensure timely
      icon cache refresh. (Closes: #982901) (LP: #1920691)

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Jan 2022 23:10:37 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>,
 Standards-Version: 4.6.0
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Rules-Requires-Root: no
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
@@ -19,6 +19,8 @@
 Depends:
  hicolor-icon-theme,
  ${misc:Depends},
+Suggests:
+ gtk-update-icon-cache,
 Description: Papirus open source icon theme for Linux
  Papirus is a SVG-based icon theme, drawing inspiration from Material Design
  and flat design.
@@ -28,3 +30,4 @@
   - Papirus-Dark
   - Papirus-Light
   - ePapirus
+  - ePapirus-Dark

## papirus-icon-theme 20220808

=== debian/changelog ===
papirus-icon-theme (20220808-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Aug 2022 21:13:38 -0400

papirus-icon-theme (20220710-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 01:43:59 -0400

papirus-icon-theme (20220606-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Jun 2022 14:07:09 -0400

papirus-icon-theme (20220508-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Boyuan Yang ]
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 09 May 2022 15:27:21 -0400

papirus-icon-theme (20220302-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Mar 2022 12:56:45 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no

## papirus-icon-theme 20230104

=== Makefile ===
--- 
+++ 
@@ -11,17 +11,17 @@
 all:
 
 install:
-	mkdir -p $(DESTDIR)$(PREFIX)/share/icons
-	cp -R $(ICON_THEMES) $(DESTDIR)$(PREFIX)/share/icons
+	mkdir -p "$(DESTDIR)$(PREFIX)/share/icons"
+	cp -R $(ICON_THEMES) "$(DESTDIR)$(PREFIX)/share/icons"
 
 # skip building icon caches when packaging
 	$(if $(DESTDIR),,$(MAKE) $(ICON_THEMES))
 
 $(ICON_THEMES):
-	-gtk-update-icon-cache -q $(DESTDIR)$(PREFIX)/share/icons/$@
+	-gtk-update-icon-cache -q "$(DESTDIR)$(PREFIX)/share/icons/$@"
 
 uninstall:
-	-rm -rf $(foreach icon_theme,$(ICON_THEMES),$(DESTDIR)$(PREFIX)/share/icons/$(icon_theme))
+	-rm -rf $(foreach icon_theme,$(ICON_THEMES),"$(DESTDIR)$(PREFIX)/share/icons/$(icon_theme)")
 
 _get_version:
 	$(eval VERSION := $(shell git show -s --format=%cd --date=format:%Y%m%d HEAD))
@@ -53,7 +53,7 @@
 test-all: test_short test_long
 
 .PHONY: test_short
-test_short: test_renderer test_svg_elems test_symlinks test_filenames
+test_short: test_renderer test_optimization test_svg_elems test_symlinks test_filenames
 
 .PHONY: test_long
 test_long: test_xml_struct
@@ -64,6 +64,13 @@
 	@! LC_ALL=C grep -E -rl --include='*.svg' \
 		-e 'd="[a-zA-Z0-9 -.]+-\.[a-zA-Z0-9 -.]+"' \
 		-e 'd="[a-zA-Z0-9 -.]+\s\.[a-zA-Z0-9 -.]+"' \
+		$(ICON_THEMES)
+
+.PHONY: test_optimization
+test_optimization:
+	# >>> Searching for unoptimized icons
+	@! LC_ALL=C grep -E -rl --include='*.svg' \
+		-e '^<\?xml' \
 		$(ICON_THEMES)
 
 .PHONY: test_svg_elems

=== debian/changelog ===
papirus-icon-theme (20230104-2) unstable; urgency=medium

  * debian/control: Recommend installation of librsvg2-common for
    software that needs it to parse SVG icons. (Closes: #1029056)
    See also #982901.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Jan 2023 00:39:56 -0500

papirus-icon-theme (20230104-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Jan 2023 22:48:29 -0500

papirus-icon-theme (20221201-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 01 Dec 2022 13:18:17 -0500

papirus-icon-theme (20221101-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Nov 2022 17:09:13 -0400

papirus-icon-theme (20220910-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Sep 2022 15:24:04 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,13 @@
 Depends:
  hicolor-icon-theme,
  ${misc:Depends},
+Recommends:
+# Some buggy software needs it to parse SVG but failed to declare dependency
+# itself, so we accomodate the status quo and add this recommendation here.
+# See https://bugs.debian.org/982901 and https://bugs.debian.org/1029056
+ librsvg2-common,
 Suggests:
+# Used in postinst if exists.
  gtk-update-icon-cache,
 Description: Papirus open source icon theme for Linux
  Papirus is a SVG-based icon theme, drawing inspiration from Material Design

## papirus-icon-theme 20230301

=== debian/changelog ===
papirus-icon-theme (20230301-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 22 Mar 2023 18:00:39 -0400

## papirus-icon-theme 20230601

=== debian/changelog ===
papirus-icon-theme (20230601-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Jun 2023 15:54:19 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no

## papirus-icon-theme 20230801

=== debian/changelog ===
papirus-icon-theme (20230801-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Aug 2023 17:52:59 -0400

papirus-icon-theme (20230801-1) unstable; urgency=medium

  * New upstream release.
  * Move packaging git repository under Salsa Debian namespace.

 -- Boyuan Yang <byang@debian.org>  Fri, 04 Aug 2023 08:38:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: papirus-icon-theme
 Section: x11
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
- Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>,
 Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
-Vcs-Git: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme.git
-Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/papirus-icon-theme
+Vcs-Git: https://salsa.debian.org/debian/papirus-icon-theme.git
+Vcs-Browser: https://salsa.debian.org/debian/papirus-icon-theme
 
 Package: papirus-icon-theme
 Architecture: all

## papirus-icon-theme 20230901

=== debian/changelog ===
papirus-icon-theme (20230901-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Sep 2023 17:15:50 -0400

## papirus-icon-theme 20240201

=== debian/changelog ===
papirus-icon-theme (20240201-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Orphan the package and remove the uploaders.
  * debian/control: Declare the papirus-icon-theme could provide
    epapirus-icon-theme (as well as breaks + replaces) before we
    could properly split the epapirus-icon-theme package out.
    See #1052160 (help needed).

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Mar 2024 22:56:02 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,6 @@
 Section: x11
 Priority: optional
 Maintainer: Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>
-Uploaders:
- Yangfl <mmyangfl@gmail.com>,
- Boyuan Yang <byang@debian.org>,
 Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
@@ -23,6 +20,15 @@
 # itself, so we accomodate the status quo and add this recommendation here.
 # See https://bugs.debian.org/982901 and https://bugs.debian.org/1029056
  librsvg2-common,
+# Declare the de facto conflict with epapirus-icon-theme package before
+# we properly split the package out as requested by upstream
+# and https://bugs.debian.org/1052160
+Breaks:
+ epapirus-icon-theme,
+Provides:
+ epapirus-icon-theme,
+Replaces:
+ epapirus-icon-theme,
 Suggests:
 # Used in postinst if exists.
  gtk-update-icon-cache,

## papirus-icon-theme 20240501

=== debian/changelog ===
papirus-icon-theme (20240501-1~bpo12+1) bookworm-backports; urgency=medium

  * QA upload.
  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Jul 2024 10:56:36 -0400

papirus-icon-theme (20240501-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Jun 2024 19:56:45 -0400

papirus-icon-theme (20240201-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Mar 2024 10:47:15 -0400

papirus-icon-theme (20230901-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Sep 2023 20:52:39 -0400

## papirus-icon-theme 20250201

=== debian/changelog ===
papirus-icon-theme (20250201-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Feb 2025 08:55:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Debian Desktop Theme Team <team+desktop-themes-team@tracker.debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no

## papirus-icon-theme 20250501

=== debian/changelog ===
papirus-icon-theme (20250501-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 May 2025 11:53:26 -0400

papirus-icon-theme (20250501-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    - Drop ePapirus-related icon themes, merged into the main theme.
      (Closes: #1052160)
  * debian/: Adjust configurations to purge ePapirus-related files
    and icon theme caches on package upgrading.

 -- Boyuan Yang <byang@debian.org>  Fri, 02 May 2025 12:18:57 -0400

papirus-icon-theme (20250201-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Feb 2025 16:00:42 -0500
